summaryrefslogtreecommitdiffstats
path: root/abs/mv-core/MythVantage-config/live.install
diff options
context:
space:
mode:
Diffstat (limited to 'abs/mv-core/MythVantage-config/live.install')
-rw-r--r--abs/mv-core/MythVantage-config/live.install57
1 files changed, 57 insertions, 0 deletions
diff --git a/abs/mv-core/MythVantage-config/live.install b/abs/mv-core/MythVantage-config/live.install
new file mode 100644
index 0000000..01fa3ce
--- /dev/null
+++ b/abs/mv-core/MythVantage-config/live.install
@@ -0,0 +1,57 @@
+# This is a default template for a post-install scriptlet. You can
+# remove any functions you don't need (and this header).
+
+# arg 1: the new package version
+pre_install() {
+ rm -f /etc/issue
+ rm -f /etc/arch-relase
+}
+
+# arg 1: the new package version
+post_install() {
+ if [ ! -f /etc/blacklist.package ]
+ then
+ echo "List of packages to ignore" > /etc/blacklist.package
+ echo "one package per line" >> /etc/blacklist.package
+ fi
+
+
+}
+
+# arg 1: the new package version
+# arg 2: the old package version
+pre_upgrade() {
+ /bin/true
+}
+
+# arg 1: the new package version
+# arg 2: the old package version
+post_upgrade() {
+ . /etc/profile
+ ps -ef|grep mysqld|grep -v grep
+ status=$?
+ echo "status $status"
+ if [ $status = 0 ]
+ then
+ restore_default_settings.sh -c load
+ fi
+ if [ ! -f /etc/blacklist.package ]
+ then
+ echo "List of packages to ignore" > /etc/blacklist.package
+ echo "one package per line" >> /etc/blacklist.package
+ fi
+}
+
+# arg 1: the old package version
+pre_remove() {
+ /bin/true
+}
+
+# arg 1: the old package version
+post_remove() {
+ /bin/true
+}
+
+op=$1
+shift
+$op $*